=== debian/changelog ===
snowdrop (0.02b-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS. Closes: #731474
  * Stop unnecessary linkage against gnutls-extra to allow building against
    newer GnuTLS versions. Closes: #725723

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Apr 2014 15:42:01 +0200

snowdrop (0.02b-12) unstable; urgency=low

  * Fixed typos in snowdrop.c (fix-typos-in-source.patch).
  * Moved info from README.Debian-source concerning upstream into debian/watch.

 -- Simon Kainz <simon@familiekainz.at>  Fri, 30 Aug 2013 09:50:40 +0000

snowdrop (0.02b-11) unstable; urgency=low

  * New maintainer. (Closes: #557585: ITA: snowdrop -- plain text
    watermarking and watermark recovery)
  * Push standards to the most recent version 3.9.4
  * Fix several typos in man page.
  * Fix wrong file entry in man page.

 -- Simon Kainz <simon@familiekainz.at>  Wed, 21 Aug 2013 13:01:10 +0200

snowdrop (0.02b-10) unstable; urgency=low

  * QA upload.
  * Move VCS to Alioth (collab-maint), update VCS links in debian/control
  * Make package ready for dpkg 1.16.1 and inject build flags into the build
    process.
  * Fix a small syntax error in debian/changelog to make it correctly recognize
    the new last paragraph.
  * The debian/ directory is also relicensed to GPL-2+ with OpenSSL linking
    exception to avoid any possible ambiguity.

 -- Arno Töll <debian@toell.net>  Sat, 01 Oct 2011 00:45:21 +0200

snowdrop (0.02b-9) unstable; urgency=low

  * QA upload.
  * Push debhelper compatibility to v8
  * Convert package to 3.0 (quilt) format
  * Move man page to debian/ (thus, leave upstream source directory untouched)
  * Track changes to upstream source in a quilt patch (use-tls.patch)
  * Link as needed (-Wl,--as-needed, in link-as-needed.patch)
  * Push Standards to the most recent version 3.9.2
  * Fix "Very minor typo in manpage" fix several typos (Closes: #608868)
  * Switch debian/copyright to DEP-5
  * Use `pkg-config' in Makefile instead of `libgnutls-config'. The latter was
    obsolete since GnuTLS 2.7.12.1
  * Provide future uploaders a hint in `debian/README.Debian-source' to learn
    about changes in the upstream tarball, as the original file is not ver-
    sioned

 -- Arno Töll <debian@toell.net>  Thu, 30 Jun 2011 18:29:59 +0200

snowdrop (0.02b-8) unstable; urgency=low

  * Orphaned the package.
  * debhelper v7; 3 line rules file

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:03:11 -0400

snowdrop (0.02b-7) unstable; urgency=low

  * Add Homepage field.
  * Current policy.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Dec 2007 16:55:28 -0500

snowdrop (0.02b-6) unstable; urgency=low

  * Add word "stenographic" to description. Closes: #353591

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Feb 2006 15:21:21 -0500

snowdrop (0.02b-5) unstable; urgency=low

  * Updated to gnutls12. Closes: #335770

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Oct 2005 18:20:55 -0400

snowdrop (0.02b-4) unstable; urgency=low

  * Updated to libgnutls11. Closes: #264736
    (NB: still linked to libgcrypt7 as well as 11 because of libopencdk8.
    versioned symbols make this work, I'll rebuild when libopencdk8 is
    updated.)
  * Work around temporary breakage in libgnutls-extra-config.
  * Add -g to CFLAGS.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Aug 2004 14:23:34 -0300

snowdrop (0.02b-3) unstable; urgency=low

  * Fix man page type. Closes: #261403

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 18:02:15 -0400

snowdrop (0.02b-2) unstable; urgency=low

  * Updated to libgnutls7.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 12:35:42 -0500

snowdrop (0.02b-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file (openssl linking ok).
  * Still lining with gnutls for now.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Nov 2003 12:33:17 -0500

snowdrop (0.0.20020909-5) unstable; urgency=low

  * Wrote a man page (again, first type was eaten by make clean long ago).

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 19:37:34 -0500

snowdrop (0.0.20020909-4) unstable; urgency=low

  * Updates for new gnutls, which requires I call libgnutls-config as well
    as libgnutls-extra-config to get all the required libs.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:53:02 -0500

snowdrop (0.0.20020909-3) unstable; urgency=low

  * Use libgnutls-extra-config.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 13:42:20 -0500

snowdrop (0.0.20020909-2) unstable; urgency=low

  * Explicitly link in -lopencdk. Closes: #161256

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Sep 2002 20:59:43 -0400

snowdrop (0.0.20020909-1) unstable; urgency=low

  * First release.
  * Fake version number as there is none upstream.
  * Use gnutls instead of openssl since this is GPL'd.
  * Add DESTDIR support to Makefile.
  * Wrote a man page, but had it deleted by upstream's Makefile. Too annoyed
    to do that again right now.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Sep 2002 13:54:40 -0400
