=== debian/control ===
Source: snowdrop
Section: utils
Priority: optional
Maintainer: Simon Kainz <simon@familiekainz.at>
Build-Depends: libgnutls-openssl-dev, debhelper (>= 8.0), pkg-config
Standards-Version: 3.9.4
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snowdrop.git;a=summary
VCS-Git: git://anonscm.debian.org/collab-maint/snowdrop.git
Homepage: http://lcamtuf.coredump.cx/

Package: snowdrop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plain text watermarking and watermark recovery
 Snowdrop provides reliable, difficult to remove stenographic watermarking of
 text documents (internal memos, draft research papers, advisories and other
 writing) and C sources (limited distribution software, licensed software,
 or freely available code) so that:
  (1) leaks can be identified if the data goes public
  (2) original source can be determined and demonstrated if part of the
      document is claimed by somebody else, copied without permission, etc
 Snowdrop uses redundant steganography using four different logical
 channels, and should be proof to many modifications, including reformatting,
 spell checking and so on.
 .
 Warning: Snowdrop is currently in beta, and may produce bad or corrupted
 results, especially when run on C source code.
