=== debian/watch ===
version=3

#  As upstream development stopped long ago, there is no versioned source
#  tarball available. You can download the most recent source nonetheless
#  from [1]. This version is, to date, equivalent to Debian's version 0.02b.
#  The SHA-1 checksum of snowdrop_0.02b.orig.tar.gz (being equivalent to [1])
#  is:
#
#  ac1fc5e83b5d56c5b63898f98ea9f9a7969da8b5 snowdrop_0.02b.orig.tar.gz
#
#  Compare with the above checksum to find out, if upstream eventually updated
#  the original tarball.
#
#  [1] http://lcamtuf.coredump.cx/soft/snowdrop.tgz
